FsImageProto.INodeSection.INodeFile.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, class: INodeFile, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.INodeSection.INodeFile.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.INodeSection.INodeFile.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.INodeSection.INodeFileOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.INodeSection.INodeFile

public static final class FsImageProto.INodeSection.INodeFile.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder> implements FsImageProto.INodeSection.INodeFileOrBuilder
Protobuf type `hadoop.hdfs.fsimage.INodeSection.INodeFile`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.INodeSection.INodeFile.Builder`
  `addAllBlocks(Iterable<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto> values)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `addBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto value)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `addBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder builderForValue)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `addBlocks(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto value)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `addBlocks(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder builderForValue)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder`
  `addBlocksBuilder()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder`
  `addBlocksBuilder(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeSection.INodeFile`
  `build()`
  `FsImageProto.INodeSection.INodeFile`
  `buildPartial()`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clear()`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearAccessTime()`
  `optional uint64 accessTime = 3;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearBlocks()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearBlockType()`
  `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearErasureCodingPolicyID()`
  `optional uint32 erasureCodingPolicyID = 12;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearFileUC()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearModificationTime()`
  `optional uint64 modificationTime = 2;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearPermission()`
  `optional fixed64 permission = 5;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearPreferredBlockSize()`
  `optional uint64 preferredBlockSize = 4;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearReplication()`
  `optional uint32 replication = 1;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearStoragePolicyID()`
  `optional uint32 storagePolicyID = 10;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clearXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `clone()`
  `long`
  `getAccessTime()`
  `optional uint64 accessTime = 3;`
  `FsImageProto.INodeSection.AclFeatureProto`
  `getAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.AclFeatureProto.Builder`
  `getAclBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.AclFeatureProtoOrBuilder`
  `getAclOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto`
  `getBlocks(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder`
  `getBlocksBuilder(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder>`
  `getBlocksBuilderList()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `int`
  `getBlocksCount()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto>`
  `getBlocksList()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder`
  `getBlocksOrBuilder(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `List<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder>`
  `getBlocksOrBuilderList()`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto`
  `getBlockType()`
  `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
  `FsImageProto.INodeSection.INodeFile`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `int`
  `getErasureCodingPolicyID()`
  `optional uint32 erasureCodingPolicyID = 12;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature`
  `getFileUC()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`
  `getFileUCBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder`
  `getFileUCOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `long`
  `getModificationTime()`
  `optional uint64 modificationTime = 2;`
  `long`
  `getPermission()`
  `optional fixed64 permission = 5;`
  `long`
  `getPreferredBlockSize()`
  `optional uint64 preferredBlockSize = 4;`
  `int`
  `getReplication()`
  `optional uint32 replication = 1;`
  `int`
  `getStoragePolicyID()`
  `optional uint32 storagePolicyID = 10;`
  `FsImageProto.INodeSection.XAttrFeatureProto`
  `getXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `FsImageProto.INodeSection.XAttrFeatureProto.Builder`
  `getXAttrsBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder`
  `getXAttrsOrBuilder()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `boolean`
  `hasAccessTime()`
  `optional uint64 accessTime = 3;`
  `boolean`
  `hasAcl()`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `boolean`
  `hasBlockType()`
  `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
  `boolean`
  `hasErasureCodingPolicyID()`
  `optional uint32 erasureCodingPolicyID = 12;`
  `boolean`
  `hasFileUC()`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `boolean`
  `hasModificationTime()`
  `optional uint64 modificationTime = 2;`
  `boolean`
  `hasPermission()`
  `optional fixed64 permission = 5;`
  `boolean`
  `hasPreferredBlockSize()`
  `optional uint64 preferredBlockSize = 4;`
  `boolean`
  `hasReplication()`
  `optional uint32 replication = 1;`
  `boolean`
  `hasStoragePolicyID()`
  `optional uint32 storagePolicyID = 10;`
  `boolean`
  `hasXAttrs()`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `mergeAcl(FsImageProto.INodeSection.AclFeatureProto value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `mergeFileUC(FsImageProto.INodeSection.FileUnderConstructionFeature value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `mergeFrom(FsImageProto.INodeSection.INodeFile other)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.INodeSection.INodeFile.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `mergeXAttrs(FsImageProto.INodeSection.XAttrFeatureProto value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `removeBlocks(int index)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setAccessTime(long value)`
  `optional uint64 accessTime = 3;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setAcl(FsImageProto.INodeSection.AclFeatureProto value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setAcl(FsImageProto.INodeSection.AclFeatureProto.Builder builderForValue)`
  `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto value)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder builderForValue)`
  `repeated .hadoop.hdfs.BlockProto blocks = 6;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setBlockType(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto value)`
  `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setErasureCodingPolicyID(int value)`
  `optional uint32 erasureCodingPolicyID = 12;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setFileUC(FsImageProto.INodeSection.FileUnderConstructionFeature value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setFileUC(FsImageProto.INodeSection.FileUnderConstructionFeature.Builder builderForValue)`
  `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setModificationTime(long value)`
  `optional uint64 modificationTime = 2;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setPermission(long value)`
  `optional fixed64 permission = 5;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setPreferredBlockSize(long value)`
  `optional uint64 preferredBlockSize = 4;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setReplication(int value)`
  `optional uint32 replication = 1;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setStoragePolicyID(int value)`
  `optional uint32 storagePolicyID = 10;`
  `final FsImageProto.INodeSection.INodeFile.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setXAttrs(FsImageProto.INodeSection.XAttrFeatureProto value)`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
  `FsImageProto.INodeSection.INodeFile.Builder`
  `setXAttrs(FsImageProto.INodeSection.XAttrFeatureProto.Builder builderForValue)`
  `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### clear

    public FsImageProto.INodeSection.INodeFile.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.INodeSection.INodeFile getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.INodeSection.INodeFile build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.INodeSection.INodeFile buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.INodeSection.INodeFile.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### setField

    public FsImageProto.INodeSection.INodeFile.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### clearField

    public FsImageProto.INodeSection.INodeFile.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### clearOneof

    public FsImageProto.INodeSection.INodeFile.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### setRepeatedField

    public FsImageProto.INodeSection.INodeFile.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### addRepeatedField

    public FsImageProto.INodeSection.INodeFile.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.INodeFile.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.INodeFile.Builder mergeFrom(FsImageProto.INodeSection.INodeFile other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### mergeFrom

    public FsImageProto.INodeSection.INodeFile.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.INodeSection.INodeFile.Builder>`
    Throws:
      `IOException`

  - ### hasReplication

    public boolean hasReplication()
    `optional uint32 replication = 1;`
    Specified by:
      `hasReplication` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the replication field is set.

  - ### getReplication

    public int getReplication()
    `optional uint32 replication = 1;`
    Specified by:
      `getReplication` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The replication.

  - ### setReplication

    public FsImageProto.INodeSection.INodeFile.Builder setReplication(int value)
    `optional uint32 replication = 1;`
    Parameters:
      `value` - The replication to set.
    Returns:
      This builder for chaining.

  - ### clearReplication

    public FsImageProto.INodeSection.INodeFile.Builder clearReplication()
    `optional uint32 replication = 1;`
    Returns:
      This builder for chaining.

  - ### hasModificationTime

    public boolean hasModificationTime()
    `optional uint64 modificationTime = 2;`
    Specified by:
      `hasModificationTime` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the modificationTime field is set.

  - ### getModificationTime

    public long getModificationTime()
    `optional uint64 modificationTime = 2;`
    Specified by:
      `getModificationTime` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The modificationTime.

  - ### setModificationTime

    public FsImageProto.INodeSection.INodeFile.Builder setModificationTime(long value)
    `optional uint64 modificationTime = 2;`
    Parameters:
      `value` - The modificationTime to set.
    Returns:
      This builder for chaining.

  - ### clearModificationTime

    public FsImageProto.INodeSection.INodeFile.Builder clearModificationTime()
    `optional uint64 modificationTime = 2;`
    Returns:
      This builder for chaining.

  - ### hasAccessTime

    public boolean hasAccessTime()
    `optional uint64 accessTime = 3;`
    Specified by:
      `hasAccessTime` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the accessTime field is set.

  - ### getAccessTime

    public long getAccessTime()
    `optional uint64 accessTime = 3;`
    Specified by:
      `getAccessTime` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The accessTime.

  - ### setAccessTime

    public FsImageProto.INodeSection.INodeFile.Builder setAccessTime(long value)
    `optional uint64 accessTime = 3;`
    Parameters:
      `value` - The accessTime to set.
    Returns:
      This builder for chaining.

  - ### clearAccessTime

    public FsImageProto.INodeSection.INodeFile.Builder clearAccessTime()
    `optional uint64 accessTime = 3;`
    Returns:
      This builder for chaining.

  - ### hasPreferredBlockSize

    public boolean hasPreferredBlockSize()
    `optional uint64 preferredBlockSize = 4;`
    Specified by:
      `hasPreferredBlockSize` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the preferredBlockSize field is set.

  - ### getPreferredBlockSize

    public long getPreferredBlockSize()
    `optional uint64 preferredBlockSize = 4;`
    Specified by:
      `getPreferredBlockSize` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The preferredBlockSize.

  - ### setPreferredBlockSize

    public FsImageProto.INodeSection.INodeFile.Builder setPreferredBlockSize(long value)
    `optional uint64 preferredBlockSize = 4;`
    Parameters:
      `value` - The preferredBlockSize to set.
    Returns:
      This builder for chaining.

  - ### clearPreferredBlockSize

    public FsImageProto.INodeSection.INodeFile.Builder clearPreferredBlockSize()
    `optional uint64 preferredBlockSize = 4;`
    Returns:
      This builder for chaining.

  - ### hasPermission

    public boolean hasPermission()
    `optional fixed64 permission = 5;`
    Specified by:
      `hasPermission` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the permission field is set.

  - ### getPermission

    public long getPermission()
    `optional fixed64 permission = 5;`
    Specified by:
      `getPermission` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The permission.

  - ### setPermission

    public FsImageProto.INodeSection.INodeFile.Builder setPermission(long value)
    `optional fixed64 permission = 5;`
    Parameters:
      `value` - The permission to set.
    Returns:
      This builder for chaining.

  - ### clearPermission

    public FsImageProto.INodeSection.INodeFile.Builder clearPermission()
    `optional fixed64 permission = 5;`
    Returns:
      This builder for chaining.

  - ### getBlocksList

    public List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto> getBlocksList()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`
    Specified by:
      `getBlocksList` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### getBlocksCount

    public int getBlocksCount()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`
    Specified by:
      `getBlocksCount` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### getBlocks

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto getBlocks(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`
    Specified by:
      `getBlocks` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### setBlocks

    public FsImageProto.INodeSection.INodeFile.Builder setBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto value)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### setBlocks

    public FsImageProto.INodeSection.INodeFile.Builder setBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder builderForValue)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### addBlocks

    public FsImageProto.INodeSection.INodeFile.Builder addBlocks(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto value)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### addBlocks

    public FsImageProto.INodeSection.INodeFile.Builder addBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto value)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### addBlocks

    public FsImageProto.INodeSection.INodeFile.Builder addBlocks(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder builderForValue)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### addBlocks

    public FsImageProto.INodeSection.INodeFile.Builder addBlocks(int index, org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder builderForValue)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### addAllBlocks

    public FsImageProto.INodeSection.INodeFile.Builder addAllBlocks(Iterable<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto> values)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### clearBlocks

    public FsImageProto.INodeSection.INodeFile.Builder clearBlocks()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### removeBlocks

    public FsImageProto.INodeSection.INodeFile.Builder removeBlocks(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocksBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder getBlocksBuilder(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocksOrBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder getBlocksOrBuilder(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`
    Specified by:
      `getBlocksOrBuilder` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### getBlocksOrBuilderList

    public List<? extends org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProtoOrBuilder> getBlocksOrBuilderList()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`
    Specified by:
      `getBlocksOrBuilderList` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### addBlocksBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder addBlocksBuilder()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### addBlocksBuilder

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder addBlocksBuilder(int index)
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### getBlocksBuilderList

    public List<org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockProto.Builder> getBlocksBuilderList()
    `repeated .hadoop.hdfs.BlockProto blocks = 6;`

  - ### hasFileUC

    public boolean hasFileUC()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
    Specified by:
      `hasFileUC` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the fileUC field is set.

  - ### getFileUC

    public FsImageProto.INodeSection.FileUnderConstructionFeature getFileUC()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
    Specified by:
      `getFileUC` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The fileUC.

  - ### setFileUC

    public FsImageProto.INodeSection.INodeFile.Builder setFileUC(FsImageProto.INodeSection.FileUnderConstructionFeature value)
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`

  - ### setFileUC

    public FsImageProto.INodeSection.INodeFile.Builder setFileUC(FsImageProto.INodeSection.FileUnderConstructionFeature.Builder builderForValue)
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`

  - ### mergeFileUC

    public FsImageProto.INodeSection.INodeFile.Builder mergeFileUC(FsImageProto.INodeSection.FileUnderConstructionFeature value)
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`

  - ### clearFileUC

    public FsImageProto.INodeSection.INodeFile.Builder clearFileUC()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`

  - ### getFileUCBuilder

    public FsImageProto.INodeSection.FileUnderConstructionFeature.Builder getFileUCBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`

  - ### getFileUCOrBuilder

    public FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder getFileUCOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.FileUnderConstructionFeature fileUC = 7;`
    Specified by:
      `getFileUCOrBuilder` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### hasAcl

    public boolean hasAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
    Specified by:
      `hasAcl` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the acl field is set.

  - ### getAcl

    public FsImageProto.INodeSection.AclFeatureProto getAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
    Specified by:
      `getAcl` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The acl.

  - ### setAcl

    public FsImageProto.INodeSection.INodeFile.Builder setAcl(FsImageProto.INodeSection.AclFeatureProto value)
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`

  - ### setAcl

    public FsImageProto.INodeSection.INodeFile.Builder setAcl(FsImageProto.INodeSection.AclFeatureProto.Builder builderForValue)
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`

  - ### mergeAcl

    public FsImageProto.INodeSection.INodeFile.Builder mergeAcl(FsImageProto.INodeSection.AclFeatureProto value)
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`

  - ### clearAcl

    public FsImageProto.INodeSection.INodeFile.Builder clearAcl()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`

  - ### getAclBuilder

    public FsImageProto.INodeSection.AclFeatureProto.Builder getAclBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`

  - ### getAclOrBuilder

    public FsImageProto.INodeSection.AclFeatureProtoOrBuilder getAclOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.AclFeatureProto acl = 8;`
    Specified by:
      `getAclOrBuilder` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### hasXAttrs

    public boolean hasXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
    Specified by:
      `hasXAttrs` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the xAttrs field is set.

  - ### getXAttrs

    public FsImageProto.INodeSection.XAttrFeatureProto getXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
    Specified by:
      `getXAttrs` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The xAttrs.

  - ### setXAttrs

    public FsImageProto.INodeSection.INodeFile.Builder setXAttrs(FsImageProto.INodeSection.XAttrFeatureProto value)
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  - ### setXAttrs

    public FsImageProto.INodeSection.INodeFile.Builder setXAttrs(FsImageProto.INodeSection.XAttrFeatureProto.Builder builderForValue)
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  - ### mergeXAttrs

    public FsImageProto.INodeSection.INodeFile.Builder mergeXAttrs(FsImageProto.INodeSection.XAttrFeatureProto value)
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  - ### clearXAttrs

    public FsImageProto.INodeSection.INodeFile.Builder clearXAttrs()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  - ### getXAttrsBuilder

    public FsImageProto.INodeSection.XAttrFeatureProto.Builder getXAttrsBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`

  - ### getXAttrsOrBuilder

    public FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder getXAttrsOrBuilder()
    `optional .hadoop.hdfs.fsimage.INodeSection.XAttrFeatureProto xAttrs = 9;`
    Specified by:
      `getXAttrsOrBuilder` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`

  - ### hasStoragePolicyID

    public boolean hasStoragePolicyID()
    `optional uint32 storagePolicyID = 10;`
    Specified by:
      `hasStoragePolicyID` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the storagePolicyID field is set.

  - ### getStoragePolicyID

    public int getStoragePolicyID()
    `optional uint32 storagePolicyID = 10;`
    Specified by:
      `getStoragePolicyID` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The storagePolicyID.

  - ### setStoragePolicyID

    public FsImageProto.INodeSection.INodeFile.Builder setStoragePolicyID(int value)
    `optional uint32 storagePolicyID = 10;`
    Parameters:
      `value` - The storagePolicyID to set.
    Returns:
      This builder for chaining.

  - ### clearStoragePolicyID

    public FsImageProto.INodeSection.INodeFile.Builder clearStoragePolicyID()
    `optional uint32 storagePolicyID = 10;`
    Returns:
      This builder for chaining.

  - ### hasBlockType

    public boolean hasBlockType()
    `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
    Specified by:
      `hasBlockType` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the blockType field is set.

  - ### getBlockType

    public org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto getBlockType()
    `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
    Specified by:
      `getBlockType` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The blockType.

  - ### setBlockType

    public FsImageProto.INodeSection.INodeFile.Builder setBlockType(org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.BlockTypeProto value)
    `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
    Parameters:
      `value` - The blockType to set.
    Returns:
      This builder for chaining.

  - ### clearBlockType

    public FsImageProto.INodeSection.INodeFile.Builder clearBlockType()
    `optional .hadoop.hdfs.BlockTypeProto blockType = 11;`
    Returns:
      This builder for chaining.

  - ### hasErasureCodingPolicyID

    public boolean hasErasureCodingPolicyID()
    `optional uint32 erasureCodingPolicyID = 12;`
    Specified by:
      `hasErasureCodingPolicyID` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      Whether the erasureCodingPolicyID field is set.

  - ### getErasureCodingPolicyID

    public int getErasureCodingPolicyID()
    `optional uint32 erasureCodingPolicyID = 12;`
    Specified by:
      `getErasureCodingPolicyID` in interface `FsImageProto.INodeSection.INodeFileOrBuilder`
    Returns:
      The erasureCodingPolicyID.

  - ### setErasureCodingPolicyID

    public FsImageProto.INodeSection.INodeFile.Builder setErasureCodingPolicyID(int value)
    `optional uint32 erasureCodingPolicyID = 12;`
    Parameters:
      `value` - The erasureCodingPolicyID to set.
    Returns:
      This builder for chaining.

  - ### clearErasureCodingPolicyID

    public FsImageProto.INodeSection.INodeFile.Builder clearErasureCodingPolicyID()
    `optional uint32 erasureCodingPolicyID = 12;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.INodeSection.INodeFile.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.INodeSection.INodeFile.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.INodeSection.INodeFile.Builder>`